|
|||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | ||||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | ||||||||||
java.lang.Objectwicket.Request
Base class for page request implementations allowing access to request parameters. A Request has a URL and a parameter map. You can retrieve the URL of the request with getURL(). The entire parameter map can be retrieved via getParameterMap(). Individual parameters can be retrieved via getParameter(String). If multiple values are available for a given parameter, they can be retrieved via getParameters(String).
| Constructor Summary | |
Request()
|
|
| Method Summary | |
abstract java.util.Locale |
getLocale()
|
abstract java.lang.String |
getParameter(java.lang.String key)
Gets a given (query) parameter by name. |
abstract java.util.Map |
getParameterMap()
Gets a map of (query) parameters sent with the request. |
abstract java.lang.String[] |
getParameters(java.lang.String key)
Gets an array of multiple parameters by name. |
abstract java.lang.String |
getPath()
|
abstract java.lang.String |
getURL()
Retrieves the URL of this request for local use. |
| Methods inherited from class java.lang.Object |
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait |
| Constructor Detail |
public Request()
| Method Detail |
public abstract java.util.Locale getLocale()
public abstract java.lang.String getParameter(java.lang.String key)
key - Parameter name
public abstract java.util.Map getParameterMap()
public abstract java.lang.String[] getParameters(java.lang.String key)
key - Parameter name
public abstract java.lang.String getURL()
public abstract java.lang.String getPath()
|
|||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | ||||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | ||||||||||